curl --request PATCH \
--url https://api.example.com/api/v1/ops/cooperative-payment-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalAccountId": "acct_2c9f81b0",
"externalApiKey": "v1.iv.tag.ciphertext",
"externalProvider": "billing_interface",
"externalWalletId": "wallet_42d8a19f",
"status": "ACTIVE"
}
'import requests
url = "https://api.example.com/api/v1/ops/cooperative-payment-settings"
payload = {
"externalAccountId": "acct_2c9f81b0",
"externalApiKey": "v1.iv.tag.ciphertext",
"externalProvider": "billing_interface",
"externalWalletId": "wallet_42d8a19f",
"status": "ACTIVE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalAccountId: 'acct_2c9f81b0',
externalApiKey: 'v1.iv.tag.ciphertext',
externalProvider: 'billing_interface',
externalWalletId: 'wallet_42d8a19f',
status: 'ACTIVE'
})
};
fetch('https://api.example.com/api/v1/ops/cooperative-payment-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cooperativePaymentSettingsId": "0197a817-1cc7-7d9c-9d74-8149674d0ef2",
"organizationId": "0197a7f7-7291-7a43-96db-2c8580b80c5d",
"cooperativeId": "0197a800-24e6-76a2-90ed-ff0f6fba7b0c",
"externalProvider": "billing_interface",
"externalAccountId": "acct_2c9f81b0",
"status": "ACTIVE",
"hasExternalApiKey": true,
"createdAt": "2026-07-03T14:30:00.000Z",
"updatedAt": "2026-07-03T14:30:00.000Z",
"externalWalletId": "wallet_42d8a19f",
"createdBy": null,
"updatedBy": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Update Cooperative Payment Settings
Updates cooperative payment settings.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Partial cooperative payment settings payload
External account identifier
"acct_2c9f81b0"
Encrypted external API key
"v1.iv.tag.ciphertext"
External billing provider
"billing_interface"
External wallet identifier
"wallet_42d8a19f"
Cooperative payment settings status
PENDING, ACTIVE, REJECTED, DISABLED "ACTIVE"
Response
OK
Cooperative payment settings
Settings identifier
"0197a817-1cc7-7d9c-9d74-8149674d0ef2"
Organization identifier
"0197a7f7-7291-7a43-96db-2c8580b80c5d"
Cooperative identifier
"0197a800-24e6-76a2-90ed-ff0f6fba7b0c"
External billing provider
"billing_interface"
External account identifier
"acct_2c9f81b0"
Cooperative payment settings status
PENDING, ACTIVE, REJECTED, DISABLED "ACTIVE"
External API key configured
true
Created at
"2026-07-03T14:30:00.000Z"
Updated at
"2026-07-03T14:30:00.000Z"
External wallet identifier
"wallet_42d8a19f"
Created by
null
Updated by
null